GNU bug report logs - #44774
27.1; emacs build fails on M1 Mac

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: Nathan Hjelm <hjelmn@HIDDEN>; Keywords: fixed; merged with #43878; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 43878 <at> debbugs.gnu.org and Itai Seggev <is@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 43878 44774. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Nov 2020 00:33:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 19:33:02 2020
Received: from localhost ([127.0.0.1]:44564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgGpm-0005BB-QT
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 19:33:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:44078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hjelmn@HIDDEN>) id 1kgFZA-0003C3-LR
 for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 18:11:45 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37198)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hjelmn@HIDDEN>) id 1kgFZA-0001gL-Gh
 for bug-gnu-emacs@HIDDEN; Fri, 20 Nov 2020 18:11:44 -0500
Received: from mr85p00im-hyfv06021401.me.com ([17.58.23.190]:60675)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hjelmn@HIDDEN>) id 1kgFZ5-0002TH-Tg
 for bug-gnu-emacs@HIDDEN; Fri, 20 Nov 2020 18:11:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=me.com; s=1a1hai;
 t=1605913896; bh=zGnwG7COnNttEEvn1ObnXi9REFhL3/TMYYgqv7hw6/k=;
 h=To:From:Subject:Date:Message-id:Content-Type:MIME-Version;
 b=DBpu+rdCvP/B9hzQYAVaQAJMQiOBB89MZNpdAFVA+kGT514HXw1K5fBvilHEmmizx
 wH9fD4f0tomNkDjxLipPg6JJSEUHnAVAYm0nIhiYy+c0New/9jf6C0F+5ftqIkuslW
 mKjFZUYspNHGHG7Gs/5hIqiQLu1IoGoxAMxtomzvRiJros4Z1FMT8I4sc6qBcMDT5r
 aRzldMFZaq2BS3A36XG/XCv8s9Q+JVEnxHqzf48kIuS0hSFC0Evx8qZ2RVxWe/s8R2
 k2vKBQU1iCeSIsG5477UOpc4+uoYLNcARCQkRbE7wI33HTQdFBLrHbBPeiLl4CCgdn
 XoB14V/w6FE5A==
Received: from mr85p00im-hyfv06021401.me.com (mr85p00im-hyfv06021401.me.com
 [17.58.23.190])
 by mr85p00im-hyfv06021401.me.com (Postfix) with ESMTPS id 88C7A9C01D2
 for <bug-gnu-emacs@HIDDEN>; Fri, 20 Nov 2020 23:11:36 +0000 (UTC)
Received: from localhost (mr90p00im-ztdg07043901.me.com [17.120.17.199])
 by mr85p00im-hyfv06021401.me.com (Postfix) with ESMTP id 752229C03DF
 for <bug-gnu-emacs@HIDDEN>; Fri, 20 Nov 2020 23:11:36 +0000 (UTC)
To: bug-gnu-emacs@HIDDEN
From: Nathan Hjelm <hjelmn@HIDDEN>
Subject: 27.1; emacs build fails on M1 Mac
Date: Fri, 20 Nov 2020 23:11:36 -0000
X-Mailer: iCloud MailClient2021Project35
 MailServer2022B198.10000-Famine2022-0-096c48a21ae2
Message-id: <3a4fa247-e98d-4f06-9c45-5744733147a9@HIDDEN>
Content-Type: multipart/alternative;
 boundary=Apple-Webmail-42--250d3726-0774-48ea-bc52-005f49abc4e0
MIME-Version: 1.0
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.312, 18.0.737
 definitions=2020-11-20_17:2020-11-20,
 2020-11-20 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=15
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2011200152
Received-SPF: pass client-ip=17.58.23.190; envelope-from=hjelmn@HIDDEN;
 helo=mr85p00im-hyfv06021401.me.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, MIME_QP_LONG_LINE=0.001, RCVD_IN_MSPIKE_H3=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 20 Nov 2020 19:32:57 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Webmail-42--250d3726-0774-48ea-bc52-005f49abc4e0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
    charset=utf-8;
    format=flowed

This bug report is being generated on a version of emacs built with the=0A=
below fix.=0A=0Aemacs 27.1 (and git master) fails to build on any ARM64 Ma=
c. The error=0Ais:=0A=0A./temacs Killed: 9=0A=0AThis issue is caused by an=
 invalid code signature. ld signs a binary by=0Adefault with an ad-hoc sig=
nature. This signature is invalidated by the=0Amake-fingerprint program. T=
o restore the binary it is necessary to=0Are-sign the binary. This can be =
done by running codesign -s - on the=0Abinary. This will re-sign the binar=
y with an ad-hoc signature. The=0Afollowing patch does just this but only =
on ARM64 systems. Legacy Intel=0Asystems do not yet require a code signatu=
re to work (though this=0Awouldn't break them). See the attached patch.=0A=
=0Adiff --git a/configure.ac b/configure.ac=0Aindex 888b415148..6376e5e83e=
 100644=0A--- a/configure.ac=0A+++ b/configure.ac=0A@@ -5107,6 +5107,11 @@=
 case $opsys in=0A=C2=A0=C2=A0 =C2=A0 dnl Not DARWIN, because Panther and =
lower CoreFoundation.h use DARWIN to=0A=C2=A0=C2=A0 =C2=A0 dnl distinguish=
 macOS from pure Darwin.=0A=C2=A0=C2=A0 =C2=A0 AC_DEFINE(DARWIN_OS, [], [D=
efine if the system is Darwin.])=0A+=C2=A0 =C2=A0 case "${canonical}" in=0A=
+=C2=A0 =C2=A0 =C2=A0 arm-* | aarch64-* )=0A+=C2=A0 =C2=A0 =C2=A0 =C2=A0 A=
C_CHECK_PROGS(CODESIGN, [codesign], [yes])=0A+=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
;;=0A+=C2=A0 =C2=A0 esac=0A=C2=A0=C2=A0 =C2=A0 ;;=0A=C2=A0=0A=C2=A0=C2=A0 =
gnu-linux | gnu-kfreebsd )=0Adiff --git a/src/Makefile.in b/src/Makefile.i=
n=0Aindex c5fb2ea3ab..0874db6489 100644=0A--- a/src/Makefile.in=0A+++ b/sr=
c/Makefile.in=0A@@ -336,6 +336,8 @@ DUMPING=3D@DUMPING@=0A=C2=A0CHECK_STRU=
CTS =3D @CHECK_STRUCTS@=0A=C2=A0HAVE_PDUMPER =3D @HAVE_PDUMPER@=0A=C2=A0=0A=
+CODESIGN =3D @CODESIGN@=0A+=0A=C2=A0# 'make' verbosity.=0A=C2=A0AM_DEFAUL=
T_VERBOSITY =3D @AM_DEFAULT_VERBOSITY@=0A=C2=A0=0A@@ -653,6 +655,12 @@ tem=
acs$(EXEEXT): $(LIBXMENU) $(ALLOBJS) $(LIBEGNU_ARCHIVE) $(EMACSRES) \=0A=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 $(ALLOBJS) $(LIBEGNU_ARCHIVE) $(W32_RES_LI=
NK) $(LIBES)=0A=C2=A0ifeq ($(HAVE_PDUMPER),yes)=0A=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 $(AM_V_at)$(MAKE_PDUMPER_FINGERPRINT) $@.tmp=0A+=0A+=C2=A0 ifneq ($(CO=
DESIGN),)=0A+## make-fingerprint breaks the code signature. This code sign=
ature must=0A+## be valid for the executable to run on a ARM Mac.=0A+ =C2=A0=
 =C2=A0 =C2=A0 $(CODESIGN) -s - $@.tmp=0A+=C2=A0 endif=0A=C2=A0endif=0A=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 $(AM_V_at)mv $@.tmp $@=0A=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 $(MKDIR_P) $(etc)=0A=0A=0A=0AIn GNU Emacs 27.1 (build 1, arm-apple-dar=
win20.1.0)=0A=C2=A0of 2020-11-20 built on Mac-mini.local=0ASystem Descript=
ion:=C2=A0 macOS 11.0.1=0A=0ARecent messages:=0AFor information about GNU =
Emacs and the GNU system, type C-h C-a.=0Anormal-splash-screen: Opening di=
rectory: Permission denied, /Users/hjelmn/.emacs.d/auto-save-list=0AConfig=
ured using:=0A=C2=A0'configure --disable-silent-rules=0A=C2=A0--enable-loc=
allisppath=3D/opt/homebrew/share/emacs/site-lisp=0A=C2=A0--infodir=3D/opt/=
homebrew/Cellar/emacs/27.1/share/info/emacs=0A=C2=A0--prefix=3D/opt/homebr=
ew/Cellar/emacs/27.1 --with-gnutls --without-x=0A=C2=A0--with-xml2 --witho=
ut-dbus --with-modules --without-ns=0A=C2=A0--without-imagemagick'=0A=0ACo=
nfigured features:=0ANOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB XIM MODULES THR=
EADS JSON PDUMPER=0AGMP=0A=0AImportant settings:=0A=C2=A0 locale-coding-sy=
stem: nil=0A=0AMajor mode: Lisp Interaction=0A=0AMinor modes in effect:=0A=
=C2=A0 tooltip-mode: t=0A=C2=A0 global-eldoc-mode: t=0A=C2=A0 eldoc-mode: =
t=0A=C2=A0 electric-indent-mode: t=0A=C2=A0 menu-bar-mode: t=0A=C2=A0 file=
-name-shadow-mode: t=0A=C2=A0 global-font-lock-mode: t=0A=C2=A0 font-lock-=
mode: t=0A=C2=A0 auto-composition-mode: t=0A=C2=A0 auto-encryption-mode: t=
=0A=C2=A0 auto-compression-mode: t=0A=C2=A0 line-number-mode: t=0A=C2=A0 t=
ransient-mark-mode: t=0A=0ALoad-path shadows:=0ANone found.=0A=0AFeatures:=
=0A(shadow regexp-opt sort mail-extr emacsbug message rmc puny dired=0Adir=
ed-loaddefs format-spec rfc822 mml easymenu mml-sec password-cache=0Aepa d=
erived epg epg-config gnus-util rmail tool-bar rmail-loaddefs=0Atext-prope=
rty-search time-date subr-x seq mm-decode mm-bodies mm-encode=0Amail-parse=
 rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib=0Asendmail rfc=
2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils=0Aterm/xterm xterm b=
yte-opt gv bytecomp byte-compile cconv disp-table=0Atooltip eldoc electric=
 uniquify ediff-hook vc-hooks lisp-float-type=0Atabulated-list replace new=
comment text-mode elisp-mode lisp-mode=0Aprog-mode register page tab-bar m=
enu-bar rfn-eshadow isearch timer=0Aselect mouse jit-lock font-lock syntax=
 facemenu font-core=0Aterm/tty-colors frame minibuffer cl-generic cham geo=
rgian utf-8-lang=0Amisc-lang vietnamese tibetan thai tai-viet lao korean j=
apanese eucjp-ms=0Acp51932 hebrew greek romanian slovak czech european eth=
iopic indian=0Acyrillic chinese composite charscript charprop case-table e=
pa-hook=0Ajka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice lo=
addefs=0Abutton faces cus-face macroexp files text-properties overlay sha1=
 md5=0Abase64 format env code-pages mule custom widget hashtable-print-rea=
dable=0Abackquote threads kqueue multi-tty make-network-process emacs)=0A=0A=
Memory information:=0A((conses 16 47079 7064)=0A=C2=A0(symbols 48 6013 1)=0A=
=C2=A0(strings 32 15896 1743)=0A=C2=A0(string-bytes 1 514215)=0A=C2=A0(vec=
tors 16 7411)=0A=C2=A0(vector-slots 8 79909 4622)=0A=C2=A0(floats 8 22 251=
)=0A=C2=A0(intervals 56 178 1)=0A=C2=A0(buffers 1000 12))
--Apple-Webmail-42--250d3726-0774-48ea-bc52-005f49abc4e0
Content-Type: multipart/related;
    type="text/html";
    boundary=Apple-Webmail-86--250d3726-0774-48ea-bc52-005f49abc4e0


--Apple-Webmail-86--250d3726-0774-48ea-bc52-005f49abc4e0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
    charset=utf-8;

<html><body><div><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; colo=
r: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-commo=
n-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligature=
s;">This bug report is being generated on a version of emacs built with th=
e</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menl=
o; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: n=
o-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-l=
igatures;">below fix.</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0p=
x; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=
=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; m=
in-height: 13.0px;"><span style=3D"font-variant-ligatures: no-common-ligat=
ures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"></s=
pan><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menl=
o; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: n=
o-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-l=
igatures;">emacs 27.1 (and git master) fails to build on any ARM64 Mac. Th=
e error</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0p=
x Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0p=
x; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatu=
res: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-co=
mmon-ligatures;">is:</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px=
; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-=
height: 13.0px;"><span style=3D"font-variant-ligatures: no-common-ligature=
s;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"></span=
><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-c=
ommon-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-liga=
tures;">./temacs Killed: 9</span></p><p style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-=
style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #0000=
00; min-height: 13.0px;"><span style=3D"font-variant-ligatures: no-common-=
ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;=
"></span><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px=
 Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px=
; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatur=
es: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-com=
mon-ligatures;">This issue is caused by an invalid code signature. ld sign=
s a binary by</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font:=
 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-=
ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures:=
 no-common-ligatures;">default with an ad-hoc signature. This signature is=
 invalidated by the</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px;=
 font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-va=
riant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-liga=
tures: no-common-ligatures;">make-fingerprint program. To restore the bina=
ry it is necessary to</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0p=
x; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.=
0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-=
variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-li=
gatures: no-common-ligatures;">re-sign the binary. This can be done by run=
ning codesign -s - on the</span></p><p style=3D"margin: 0.0px 0.0px 0.0px =
0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0p=
x 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"f=
ont-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-varian=
t-ligatures: no-common-ligatures;">binary. This will re-sign the binary wi=
th an ad-hoc signature. The</span></p><p style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D=
"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-vari=
ant-ligatures: no-common-ligatures;">following patch does just this but on=
ly on ARM64 systems. Legacy Intel</span></p><p style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span st=
yle=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"fon=
t-variant-ligatures: no-common-ligatures;">systems do not yet require a co=
de signature to work (though this</span></p><p style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span st=
yle=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"fon=
t-variant-ligatures: no-common-ligatures;">wouldn't break them). See the a=
ttached patch.</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font=
: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D"mar=
gin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-heig=
ht: 13.0px;"><span style=3D"font-variant-ligatures: no-common-ligatures;" =
data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"></span><br=
></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; colo=
r: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-commo=
n-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligature=
s;">diff --git a/configure.ac b/configure.ac</span></p><p style=3D"margin:=
 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-s=
tyle=3D"font-variant-ligatures: no-common-ligatures;">index 888b415148..63=
76e5e83e 100644</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.=
0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-varian=
t-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligature=
s: no-common-ligatures;">--- a/configure.ac</span></p><p style=3D"margin: =
0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-sty=
le=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;=
"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-st=
yle=3D"font-variant-ligatures: no-common-ligatures;">+++ b/configure.ac</s=
pan></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; c=
olor: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 1=
1.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-co=
mmon-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligat=
ures;">@@ -5107,6 +5107,11 @@ case $opsys in</span></p><p style=3D"margin:=
 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-s=
tyle=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D"Apple=
-converted-space">&nbsp;&nbsp; &nbsp; </span>dnl Not DARWIN, because Panth=
er and lower CoreFoundation.h use DARWIN to</span></p><p style=3D"margin: =
0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-sty=
le=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;=
"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-st=
yle=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D"Apple-=
converted-space">&nbsp;&nbsp; &nbsp; </span>dnl distinguish macOS from pur=
e Darwin.</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.=
0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.=
0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-liga=
tures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-=
common-ligatures;"><span class=3D"Apple-converted-space">&nbsp;&nbsp; &nbs=
p; </span>AC_DEFINE(DARWIN_OS, [], [Define if the system is Darwin.])</spa=
n></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; col=
or: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.=
0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-comm=
on-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatur=
es;">+<span class=3D"Apple-converted-space">&nbsp; &nbsp; </span>case "${c=
anonical}" in</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font:=
 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-=
ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures:=
 no-common-ligatures;">+<span class=3D"Apple-converted-space">&nbsp; &nbsp=
; &nbsp; </span>arm-* | aarch64-* )</span></p><p style=3D"margin: 0.0px 0.=
0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"ma=
rgin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span =
style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"f=
ont-variant-ligatures: no-common-ligatures;">+<span class=3D"Apple-convert=
ed-space">&nbsp; &nbsp; &nbsp; &nbsp; </span>AC_CHECK_PROGS(CODESIGN, [cod=
esign], [yes])</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font=
: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0=
px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant=
-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures=
: no-common-ligatures;">+<span class=3D"Apple-converted-space">&nbsp; &nbs=
p; &nbsp; &nbsp; </span>;;</span></p><p style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0=
px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"=
font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-varia=
nt-ligatures: no-common-ligatures;">+<span class=3D"Apple-converted-space"=
>&nbsp; &nbsp; </span>esac</span></p><p style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0=
px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"=
font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-varia=
nt-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-space">=
&nbsp;&nbsp; &nbsp; </span>;;</span></p><p style=3D"margin: 0.0px 0.0px 0.=
0px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-m=
ce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #0=
00000; min-height: 13.0px;"><span style=3D"font-variant-ligatures: no-comm=
on-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatur=
es;"><span class=3D"Apple-converted-space">&nbsp;</span></span></p><p styl=
e=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"=
 data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; co=
lor: #000000;"><span style=3D"font-variant-ligatures: no-common-ligatures;=
" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"><span cl=
ass=3D"Apple-converted-space">&nbsp;&nbsp; </span>gnu-linux | gnu-kfreebsd=
 )</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Men=
lo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fo=
nt: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: =
no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-=
ligatures;">diff --git a/src/Makefile.in b/src/Makefile.in</span></p><p st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;"><span style=3D"font-variant-ligatures: no-common-ligature=
s;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">index =
c5fb2ea3ab..0874db6489 100644</span></p><p style=3D"margin: 0.0px 0.0px 0.=
0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: =
0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D=
"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-vari=
ant-ligatures: no-common-ligatures;">--- a/src/Makefile.in</span></p><p st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;"><span style=3D"font-variant-ligatures: no-common-ligature=
s;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">+++ b/=
src/Makefile.in</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.=
0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-varian=
t-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligature=
s: no-common-ligatures;">@@ -336,6 +336,8 @@ DUMPING=3D@DUMPING@</span></p=
><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px M=
enlo; color: #000000;"><span style=3D"font-variant-ligatures: no-common-li=
gatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">=
<span class=3D"Apple-converted-space">&nbsp;</span>CHECK_STRUCTS =3D @CHEC=
K_STRUCTS@</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11=
.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0=
.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-lig=
atures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no=
-common-ligatures;"><span class=3D"Apple-converted-space">&nbsp;</span>HAV=
E_PDUMPER =3D @HAVE_PDUMPER@</span></p><p style=3D"margin: 0.0px 0.0px 0.0=
px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mc=
e-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00=
0000; min-height: 13.0px;"><span style=3D"font-variant-ligatures: no-commo=
n-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligature=
s;"><span class=3D"Apple-converted-space">&nbsp;</span></span></p><p style=
=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" =
data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; col=
or: #000000;"><span style=3D"font-variant-ligatures: no-common-ligatures;"=
 data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">+CODESIGN=
 =3D @CODESIGN@</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.=
0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-varian=
t-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligature=
s: no-common-ligatures;">+</span></p><p style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0=
px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"=
font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-varia=
nt-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-space">=
&nbsp;</span># 'make' verbosity.</span></p><p style=3D"margin: 0.0px 0.0px=
 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margi=
n: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span sty=
le=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font=
-variant-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-s=
pace">&nbsp;</span>AM_DEFAULT_VERBOSITY =3D @AM_DEFAULT_VERBOSITY@</span><=
/p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color:=
 #000000; min-height: 13.0px;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;"><span sty=
le=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font=
-variant-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-s=
pace">&nbsp;</span></span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px;=
 font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-va=
riant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-liga=
tures: no-common-ligatures;">@@ -653,6 +655,12 @@ temacs$(EXEEXT): $(LIBXM=
ENU) $(ALLOBJS) $(LIBEGNU_ARCHIVE) $(EMACSRES) \</span></p><p style=3D"mar=
gin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mc=
e-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00=
0000;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-m=
ce-style=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D"A=
pple-converted-space">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span>$(ALLOBJS)=
 $(LIBEGNU_ARCHIVE) $(W32_RES_LINK) $(LIBES)</span></p><p style=3D"margin:=
 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-s=
tyle=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D"Apple=
-converted-space">&nbsp;</span>ifeq ($(HAVE_PDUMPER),yes)</span></p><p sty=
le=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;=
" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; c=
olor: #000000;"><span style=3D"font-variant-ligatures: no-common-ligatures=
;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"><span c=
lass=3D"Apple-converted-space">&nbsp; &nbsp; &nbsp; &nbsp; </span>$(AM_V_a=
t)$(MAKE_PDUMPER_FINGERPRINT) $@.tmp</span></p><p style=3D"margin: 0.0px 0=
.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span=
 style=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"=
font-variant-ligatures: no-common-ligatures;">+</span></p><p style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce=
-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000=
000;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mc=
e-style=3D"font-variant-ligatures: no-common-ligatures;">+<span class=3D"A=
pple-converted-space">&nbsp; </span>ifneq ($(CODESIGN),)</span></p><p styl=
e=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"=
 data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; co=
lor: #000000;"><span style=3D"font-variant-ligatures: no-common-ligatures;=
" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">+## make=
-fingerprint breaks the code signature. This code signature must</span></p=
><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px M=
enlo; color: #000000;"><span style=3D"font-variant-ligatures: no-common-li=
gatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">=
+## be valid for the executable to run on a ARM Mac.</span></p><p style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" dat=
a-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color:=
 #000000;"><span style=3D"font-variant-ligatures: no-common-ligatures;" da=
ta-mce-style=3D"font-variant-ligatures: no-common-ligatures;">+ <span clas=
s=3D"Apple-converted-space">&nbsp; &nbsp; &nbsp; </span>$(CODESIGN) -s - $=
@.tmp</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px =
Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px;=
 font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligature=
s: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-comm=
on-ligatures;">+<span class=3D"Apple-converted-space">&nbsp; </span>endif<=
/span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo;=
 color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font:=
 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-=
common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-lig=
atures;"><span class=3D"Apple-converted-space">&nbsp;</span>endif</span></=
p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: =
#000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px =
Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-common-l=
igatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"=
><span class=3D"Apple-converted-space">&nbsp; &nbsp; &nbsp; &nbsp; </span>=
$(AM_V_at)mv $@.tmp $@</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0=
px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0=
.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font=
-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-l=
igatures: no-common-ligatures;"><span class=3D"Apple-converted-space">&nbs=
p; &nbsp; &nbsp; &nbsp; </span>$(MKDIR_P) $(etc)</span></p><p style=3D"mar=
gin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-heig=
ht: 13.0px;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000; min-height: 13.0px;"><span style=3D"font-variant=
-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures=
: no-common-ligatures;"></span><br></p><p style=3D"margin: 0.0px 0.0px 0.0=
px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mc=
e-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00=
0000; min-height: 13.0px;"><span style=3D"font-variant-ligatures: no-commo=
n-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-ligature=
s;"></span><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D"margin: 0=
.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13=
.0px;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-m=
ce-style=3D"font-variant-ligatures: no-common-ligatures;"></span><br></p><=
p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00=
0000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Men=
lo; color: #000000;"><span style=3D"font-variant-ligatures: no-common-liga=
tures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">In=
 GNU Emacs 27.1 (build 1, arm-apple-darwin20.1.0)</span></p><p style=3D"ma=
rgin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-m=
ce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #0=
00000;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-=
mce-style=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D"=
Apple-converted-space">&nbsp;</span>of 2020-11-20 built on Mac-mini.local<=
/span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo;=
 color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font:=
 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-=
common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-lig=
atures;">System Description:<span class=3D"Apple-converted-space">&nbsp; <=
/span>macOS 11.0.1</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; =
font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-=
height: 13.0px;"><span style=3D"font-variant-ligatures: no-common-ligature=
s;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;"></span=
><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-c=
ommon-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-liga=
tures;">Recent messages:</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0=
.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px=
 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"fo=
nt-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant=
-ligatures: no-common-ligatures;">For information about GNU Emacs and the =
GNU system, type C-h C-a.</span></p><p style=3D"margin: 0.0px 0.0px 0.0px =
0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0p=
x 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"f=
ont-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-varian=
t-ligatures: no-common-ligatures;">normal-splash-screen: Opening directory=
: Permission denied, /Users/hjelmn/.emacs.d/auto-save-list</span></p><p st=
yle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000=
;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;"><span style=3D"font-variant-ligatures: no-common-ligature=
s;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">Config=
ured using:</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 1=
1.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px =
0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-li=
gatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: n=
o-common-ligatures;"><span class=3D"Apple-converted-space">&nbsp;</span>'c=
onfigure --disable-silent-rules</span></p><p style=3D"margin: 0.0px 0.0px =
0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin=
: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span styl=
e=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-=
variant-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-sp=
ace">&nbsp;</span>--enable-locallisppath=3D/opt/homebrew/share/emacs/site-=
lisp</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px M=
enlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; =
font: 11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures=
: no-common-ligatures;" data-mce-style=3D"font-variant-ligatures: no-commo=
n-ligatures;"><span class=3D"Apple-converted-space">&nbsp;</span>--infodir=
=3D/opt/homebrew/Cellar/emacs/27.1/share/info/emacs</span></p><p style=3D"=
margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data=
-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: =
#000000;"><span style=3D"font-variant-ligatures: no-common-ligatures;" dat=
a-mce-style=3D"font-variant-ligatures: no-common-ligatures;"><span class=3D=
"Apple-converted-space">&nbsp;</span>--prefix=3D/opt/homebrew/Cellar/emacs=
/27.1 --with-gnutls --without-x</span></p><p style=3D"margin: 0.0px 0.0px =
0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin=
: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span styl=
e=3D"font-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-=
variant-ligatures: no-common-ligatures;"><span class=3D"Apple-converted-sp=
ace">&nbsp;</span>--with-xml2 --without-dbus --with-modules --without-ns</=
span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;"><span style=3D"font-variant-ligatures: no-c=
ommon-ligatures;" data-mce-style=3D"font-variant-ligatures: no-common-liga=
tures;"><span class=3D"Apple-converted-space">&nbsp;</span>--without-image=
magick'</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0p=
x Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.=
0px;"><span style=3D"font-variant-ligatures: no-common-ligatures;" data-mc=
e-style=3D"font-variant-ligatures: no-common-ligatures;"></span><br></p><p=
 style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000=
000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menl=
o; color: #000000;"><span style=3D"font-variant-ligatures: no-common-ligat=
ures;" data-mce-style=3D"font-variant-ligatures: no-common-ligatures;">Con=
figured features:</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; f=
ont: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px =
0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"font-vari=
ant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-ligatu=
res: no-common-ligatures;">NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB XIM MODUL=
ES THREADS JSON PDUMPER</span></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.=
0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px =
0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span style=3D"fon=
t-variant-ligatures: no-common-ligatures;" data-mce-style=3D"font-variant-=
ligatures: no-common-ligatures;"><p style=3D"margin: 0.0px 0.0px 0.0px 0.0=
px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0=
.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">GMP</p><p style=3D"=
margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-h=
eight: 13.0px;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 1=
1.0px Menlo; color: #000000; min-height: 13.0px;"><br></p><p style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce=
-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000=
000;">Important settings:</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; =
font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px=
 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D"Apple-co=
nverted-space">&nbsp; </span>locale-coding-system: nil</p><p style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-heigh=
t: 13.0px;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0p=
x Menlo; color: #000000; min-height: 13.0px;"><br></p><p style=3D"margin: =
0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-sty=
le=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;=
">Major mode: Lisp Interaction</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.=
0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-sty=
le=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;=
 min-height: 13.0px;"><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px;=
 font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">Minor modes in effect:=
</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color=
: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0p=
x Menlo; color: #000000;"><span class=3D"Apple-converted-space">&nbsp; </s=
pan>tooltip-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D"Apple-converte=
d-space">&nbsp; </span>global-eldoc-mode: t</p><p style=3D"margin: 0.0px 0=
.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span=
 class=3D"Apple-converted-space">&nbsp; </span>eldoc-mode: t</p><p style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" dat=
a-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color:=
 #000000;"><span class=3D"Apple-converted-space">&nbsp; </span>electric-in=
dent-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px =
Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px;=
 font: 11.0px Menlo; color: #000000;"><span class=3D"Apple-converted-space=
">&nbsp; </span>menu-bar-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px =
0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0p=
x 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D"A=
pple-converted-space">&nbsp; </span>file-name-shadow-mode: t</p><p style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" dat=
a-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color:=
 #000000;"><span class=3D"Apple-converted-space">&nbsp; </span>global-font=
-lock-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px=
 Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px=
; font: 11.0px Menlo; color: #000000;"><span class=3D"Apple-converted-spac=
e">&nbsp; </span>font-lock-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D=
"Apple-converted-space">&nbsp; </span>auto-composition-mode: t</p><p style=
=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" =
data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; col=
or: #000000;"><span class=3D"Apple-converted-space">&nbsp; </span>auto-enc=
ryption-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0=
px; font: 11.0px Menlo; color: #000000;"><span class=3D"Apple-converted-sp=
ace">&nbsp; </span>auto-compression-mode: t</p><p style=3D"margin: 0.0px 0=
.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span=
 class=3D"Apple-converted-space">&nbsp; </span>line-number-mode: t</p><p s=
tyle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00000=
0;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo;=
 color: #000000;"><span class=3D"Apple-converted-space">&nbsp; </span>tran=
sient-mark-mode: t</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 1=
1.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D"margin=
: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-height:=
 13.0px;"><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0p=
x Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0p=
x; font: 11.0px Menlo; color: #000000;">Load-path shadows:</p><p style=3D"=
margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data=
-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: =
#000000;">None found.</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font=
: 11.0px Menlo; color: #000000; min-height: 13.0px;" data-mce-style=3D"mar=
gin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-heig=
ht: 13.0px;"><br></p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11=
.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0=
.0px; font: 11.0px Menlo; color: #000000;">Features:</p><p style=3D"margin=
: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-s=
tyle=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00000=
0;">(shadow regexp-opt sort mail-extr emacsbug message rmc puny dired</p><=
p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #00=
0000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Men=
lo; color: #000000;">dired-loaddefs format-spec rfc822 mml easymenu mml-se=
c password-cache</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.=
0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.=
0px; font: 11.0px Menlo; color: #000000;">epa derived epg epg-config gnus-=
util rmail tool-bar rmail-loaddefs</p><p style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">text-property-=
search time-date subr-x seq mm-decode mm-bodies mm-encode</p><p style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-=
mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;">mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl=
-lib</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; c=
olor: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 1=
1.0px Menlo; color: #000000;">sendmail rfc2047 rfc2045 ietf-drums mm-util =
mail-prsvr mail-utils</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font=
: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0=
px 0.0px; font: 11.0px Menlo; color: #000000;">term/xterm xterm byte-opt g=
v bytecomp byte-compile cconv disp-table</p><p style=3D"margin: 0.0px 0.0p=
x 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"marg=
in: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">tooltip =
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type</p><p style=3D=
"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" dat=
a-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color:=
 #000000;">tabulated-list replace newcomment text-mode elisp-mode lisp-mod=
e</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; colo=
r: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0=
px Menlo; color: #000000;">prog-mode register page tab-bar menu-bar rfn-es=
hadow isearch timer</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;">select mouse jit-lock font-lo=
ck syntax facemenu font-core</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0p=
x; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.=
0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">term/tty-colors fram=
e minibuffer cl-generic cham georgian utf-8-lang</p><p style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=
=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">=
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms</p=
><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px M=
enlo; color: #000000;">cp51932 hebrew greek romanian slovak czech european=
 ethiopic indian</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.=
0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.=
0px; font: 11.0px Menlo; color: #000000;">cyrillic chinese composite chars=
cript charprop case-table epa-hook</p><p style=3D"margin: 0.0px 0.0px 0.0p=
x 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.=
0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">jka-cmpr-hook =
help simple abbrev obarray cl-preloaded nadvice loaddefs</p><p style=3D"ma=
rgin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-m=
ce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #0=
00000;">button faces cus-face macroexp files text-properties overlay sha1 =
md5</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; co=
lor: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11=
.0px Menlo; color: #000000;">base64 format env code-pages mule custom widg=
et hashtable-print-readable</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px=
; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0=
px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">backquote threads kqu=
eue multi-tty make-network-process emacs)</p><p style=3D"margin: 0.0px 0.0=
px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; min-height: 13.0px;" d=
ata-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; colo=
r: #000000; min-height: 13.0px;"><br></p><p style=3D"margin: 0.0px 0.0px 0=
.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin:=
 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;">Memory info=
rmation:</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menl=
o; color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; fon=
t: 11.0px Menlo; color: #000000;">((conses 16 47079 7064)</p><p style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-=
mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;"><span class=3D"Apple-converted-space">&nbsp;</span>(symbols 48 60=
13 1)</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; =
color: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: =
11.0px Menlo; color: #000000;"><span class=3D"Apple-converted-space">&nbsp=
;</span>(strings 32 15896 1743)</p><p style=3D"margin: 0.0px 0.0px 0.0px 0=
.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0px=
 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D"Ap=
ple-converted-space">&nbsp;</span>(string-bytes 1 514215)</p><p style=3D"m=
argin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-=
mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #=
000000;"><span class=3D"Apple-converted-space">&nbsp;</span>(vectors 16 74=
11)</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; co=
lor: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11=
.0px Menlo; color: #000000;"><span class=3D"Apple-converted-space">&nbsp;<=
/span>(vector-slots 8 79909 4622)</p><p style=3D"margin: 0.0px 0.0px 0.0px=
 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-style=3D"margin: 0.0=
px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;"><span class=3D"=
Apple-converted-space">&nbsp;</span>(floats 8 22 251)</p><p style=3D"margi=
n: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000;" data-mce-=
style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #0000=
00;"><span class=3D"Apple-converted-space">&nbsp;</span>(intervals 56 178 =
1)</p><p style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; col=
or: #000000;" data-mce-style=3D"margin: 0.0px 0.0px 0.0px 0.0px; font: 11.=
0px Menlo; color: #000000;"><span class=3D"Apple-converted-space">&nbsp;</=
span>(buffers 1000 12))</p></span></p></div></body></html>
--Apple-Webmail-86--250d3726-0774-48ea-bc52-005f49abc4e0--

--Apple-Webmail-42--250d3726-0774-48ea-bc52-005f49abc4e0--





Acknowledgement sent to Nathan Hjelm <hjelmn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44774; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 Nov 2020 06:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.